## box2d 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,10 @@
 PATCH=	box2d_fixed.patch
 
 all:
-#	(cd Contrib/freeglut; make)
-#	(cd Contrib/glui; make)
 	(cd Source; make)
-#	(cd Examples/TestBed; make)
 
 clean:
-#	(cd Contrib/freeglut; make clean)
-#	(cd Contrib/glui; make clean)
 	(cd Source; make clean)
-#	(cd Examples/TestBed; make clean)
 
 patch:
 	svn diff > $(PATCH)
