=== Source/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TARGETS= Gen/fixed/libbox2d.a
+TARGETS= Gen/float/libbox2d.a Gen/fixed/libbox2d.a
 
 ifdef DEVKITPRO
 TARGETS += Gen/nds-float/lib/libbox2d.a Gen/nds-fixed/lib/libbox2d.a
@@ -15,6 +15,8 @@
 	./Dynamics/Contacts/b2PolyContact.cpp \
 	./Dynamics/Contacts/b2CircleContact.cpp \
 	./Dynamics/Contacts/b2PolyAndCircleContact.cpp \
+	./Dynamics/Contacts/b2EdgeAndCircleContact.cpp \
+	./Dynamics/Contacts/b2PolyAndEdgeContact.cpp \
 	./Dynamics/Contacts/b2ContactSolver.cpp \
 	./Dynamics/b2WorldCallbacks.cpp \
 	./Dynamics/Joints/b2MouseJoint.cpp \
@@ -24,6 +26,13 @@
 	./Dynamics/Joints/b2PrismaticJoint.cpp \
 	./Dynamics/Joints/b2DistanceJoint.cpp \
 	./Dynamics/Joints/b2GearJoint.cpp \
+	./Dynamics/Joints/b2LineJoint.cpp \
+	./Dynamics/Controllers/b2Controller.cpp \
+	./Dynamics/Controllers/b2BuoyancyController.cpp \
+	./Dynamics/Controllers/b2GravityController.cpp \
+	./Dynamics/Controllers/b2TensorDampingController.cpp \
+	./Dynamics/Controllers/b2ConstantForceController.cpp \
+	./Dynamics/Controllers/b2ConstantAccelController.cpp \
 	./Common/b2StackAllocator.cpp \
 	./Common/b2Math.cpp \
 	./Common/b2BlockAllocator.cpp \
@@ -33,6 +42,7 @@
 	./Collision/Shapes/b2Shape.cpp \
 	./Collision/Shapes/b2CircleShape.cpp \
 	./Collision/Shapes/b2PolygonShape.cpp \
+	./Collision/Shapes/b2EdgeShape.cpp \
 	./Collision/b2TimeOfImpact.cpp \
 	./Collision/b2PairManager.cpp \
 	./Collision/b2CollidePoly.cpp \
@@ -45,7 +55,7 @@
 ifneq ($(INCLUDE_DEPENDENCIES),yes)
 
 all:	
-	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)
+	$(MAKE) --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)
 
 .PHONY:	clean
 clean:
@@ -63,18 +73,18 @@
 
 endif
 
-#Gen/float/%.o:		%.cpp
-#	@mkdir -p $(dir $@)
-#	c++ $(CXXFLAGS) -c -o $@ $<
+Gen/float/%.o:		%.cpp
+	@mkdir -p $(dir $@)
+	c++ $(CXXFLAGS) -c -o $@ $<
 
 
-#Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
-#	ar cr $@ $^
-#	ranlib $@ 
+Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
+	ar cr $@ $^
+	ranlib $@ 
 
-#Gen/float/%.d:		%.cpp
-#	@mkdir -p $(dir $@)
-#	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<
+Gen/float/%.d:		%.cpp
+	@mkdir -p $(dir $@)
+	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<
 
 
 Gen/fixed/%.o:		%.cpp
