=== debian/changelog ===
box2d (2.3.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Add CMake configuration files to libbox2d-dev.
    Thanks to Pino Toscano for the report and patch. (Closes: #735845)
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Thu, 06 Mar 2014 21:05:18 +0100

box2d (2.3.0+ds-1) experimental; urgency=low

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * New upstream release 2.3.0. (Closes: #610814)
    - Repack the source tarball and remove libraries that are already included
      in Debian.
    - Rename shared library and -dbg package to libbox2d2.3.0 to reflect the
      SONAME bump and ABI change.
    - Add new libbox2d-doc package and install the API documentation and the
      manual.
    - Remove superfluous ${shlibs:Depends}-variable from -dev and -dbg
      packages.
    - Drop dh-buildinfo from Build-Depends. It is not needed.
    - Multiarchify box2d.
  * Register documentation with doc-base.
  * Drop Makefile. Not needed.
  * Rename box2d.pc to box2d.pc.in. Update pkg-config file and make it aware of
    Multiarch.
  * Update debian/copyright to copyright format 1.0.
  * Update to Standards-Version 3.9.5, no changes.
  * Add a new get-orig-source target to debian/rules.
  * Ensure that Box2D can be built twice in a row and override dh_clean.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Barry deFreese ]
    + Library name in correct case. (Closes: #692245).
    + Drop existing Debian patches as they no longer apply.
    + Update rules and bump to debhelper 9 build-dep and compat.
    + Change to source format 3.0 (quilt). Drop quilt depends.
  * Update watch file.
    + Thanks to Bart Martens.

 -- Markus Koschany <apo@gambaru.de>  Sun, 29 Dec 2013 12:26:31 +0100

box2d (2.0.1+dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #496991)

  [ Barry deFreese ]
  * Add myself to uploaders.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 12 Apr 2009 14:33:33 -0400
