=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
VER   = 2.3.0
UURL  = http://box2d.googlecode.com/svn/tags/v
PKG   = box2d
DTYPE = +ds

%:
	dh $@ --parallel --buildsystem=cmake --sourcedirectory=Box2D

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBOX2D_INSTALL=ON \
		-DBOX2D_BUILD_SHARED=ON \
		-DBOX2D_BUILD_STATIC=ON \
		-DBOX2D_BUILD_EXAMPLES=OFF \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	cd Box2D/Documentation && doxygen
	$(RM) -v Box2D/Documentation/API/html/*.md5
	$(RM) -v Box2D/Documentation/API/html/*.map
	$(RM) -v Box2D/Documentation/API/html/jquery.js
	rdfind -outputname /dev/null -makesymlinks true Box2D/Documentation/API/html
	symlinks -rsc Box2D/Documentation/API/html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/' \
		-e 's/\$${VER}/$(VER)/' \
		debian/box2d.pc.in > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/box2d.pc

override_dh_installchangelogs:
	dh_installchangelogs Box2D/Changes.txt

override_dh_clean:
	dh_clean
	$(RM) -r Box2D/Documentation/API

override_dh_strip:
	dh_strip --dbg-package=libbox2d$(VER)-dbg

## https://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz
	@

$(PKG)_$(VER).orig.tar.xz:
	svn checkout --config-option config:miscellany:use-commit-times=yes \
		$(UURL)$(VER) $(PKG)-$(VER) \
		|| $(RM) -r $(PKG)-$(VER)
	@echo "Clean-up..."
	cd $(PKG)-$(VER) \
	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \; \
	&& $(RM) -r -v \
		Contributions \
		Box2D/freeglut \
		Box2D/glui
	@echo "Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print \
		| sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
		&& $(RM) -r "$(PKG)-$(VER)"
