=== debian/watch ===
version=3
opts=downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://code.google.com/p/box2d/downloads/list?can=1 .*=Box2D_v?(\d.*)\.(?:7z|tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*
