## box2d 2.3.1%2Bds

=== debian/changelog ===
box2d (2.3.1+ds-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:14 +0100

box2d (2.3.1+ds-5) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Correct path to documentation in doc-base file because of compat 11.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Nov 2018 20:51:13 +0100

box2d (2.3.1+ds-4) unstable; urgency=medium

  * Update debian/watch because the project moved to Github.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove -dbg package and use the automatic -dbgsym package instead.
  * d/copyright: Update Source field.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Mon, 03 Oct 2016 00:48:14 +0200

box2d (2.3.1+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Fix watch file regex and make PET happy. Thanks to gregor herrmann for the
    report and patch. (Closes: #782619)

 -- Markus Koschany <apo@gambaru.de>  Mon, 27 Apr 2015 16:39:34 +0200

box2d (2.3.1+ds-2) experimental; urgency=medium

  * Moved the package to Git.
  * Make the build reproducible by setting HTML_TIMESTAMP=NO for doxygen.
    Thanks to Maria Valentina Marin for the report. (Closes: #779223)
  * libbox2d-doc.docs: Only install the html directory.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Sun, 15 Mar 2015 17:55:25 +0100

box2d (2.3.1+ds-1) unstable; urgency=medium

  * Imported Upstream version 2.3.1+ds.
  * Fix debian/watch to determine new releases by parsing
    the SVN tags of upstream's version control system.
  * Update get-orig-source target for new release.
  * dh_strip override: Replace $VER variable with 2.3.0 string.
  * debian/copyright: Add new Public Domain and Apache 2.0 license.
  * libbox2d-dev.install:
    - Install *.cmake files in /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Box2D.

 -- Markus Koschany <apo@gambaru.de>  Fri, 30 May 2014 18:42:02 +0200
