=== debian/changelog ===
box2d (2.3.1+ds-7) unstable; urgency=medium

  * Run dh_auto_build -i in indep target to prevent a FTBFS.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 23:07:16 +0200

box2d (2.3.1+ds-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 00:07:42 +0200
