=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>,
  Barry deFreese <bdefreese@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  doxygen,
  graphviz,
  rdfind,
  symlinks
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/box2d/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/box2d/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/games-team/box2d.git
+Vcs-Browser: https://salsa.debian.org/games-team/box2d
 Homepage: http://www.box2d.org/
 
 Package: libbox2d-dev
@@ -62,20 +62,3 @@
  an animator to move your actors around, you can let Sir Isaac Newton do
  the directing.
 
-Package: libbox2d2.3.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libbox2d2.3.0 (= ${binary:Version}),
- ${misc:Depends}
-Description: 2D physics engine - debugging symbols
- 2D rigid body simulation library for games. Programmers can use it in
- their games to make objects move in believable ways and make the world
- seem more interactive. From the game's point of view a physics engine is
- just a system for procedural animation. Rather than paying (or begging)
- an animator to move your actors around, you can let Sir Isaac Newton do
- the directing.
- .
- This package contains the debugging symbols.
