=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-VER   = 2.3.0
+VER   = 2.3.1
 UURL  = http://box2d.googlecode.com/svn/tags/v
 PKG   = box2d
 DTYPE = +ds
 
 %:
-	dh $@ --parallel --buildsystem=cmake --sourcedirectory=Box2D
+	dh $@ --buildsystem=cmake --sourcedirectory=Box2D
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,12 +17,14 @@
 		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build-indep:
-	cd Box2D/Documentation && doxygen
+	# Build the documentation without TIMESTAMPS, see #779223
+	cd Box2D/Documentation && ( cat Doxyfile ; echo "HTML_TIMESTAMP=NO" ) | doxygen -
 	$(RM) -v Box2D/Documentation/API/html/*.md5
 	$(RM) -v Box2D/Documentation/API/html/*.map
 	$(RM) -v Box2D/Documentation/API/html/jquery.js
 	rdfind -outputname /dev/null -makesymlinks true Box2D/Documentation/API/html
 	symlinks -rsc Box2D/Documentation/API/html
+	dh_auto_build -i
 
 override_dh_auto_install:
 	dh_auto_install
@@ -38,9 +40,6 @@
 	dh_clean
 	$(RM) -r Box2D/Documentation/API
 
-override_dh_strip:
-	dh_strip --dbg-package=libbox2d$(VER)-dbg
-
 ## https://wiki.debian.org/onlyjob/get-orig-source
 get-orig-source: $(PKG)_$(VER).orig.tar.xz
 	@
@@ -54,8 +53,8 @@
 	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \; \
 	&& $(RM) -r -v \
 		Contributions \
-		Box2D/freeglut \
-		Box2D/glui
+		Box2D/glew \
+		Box2D/glfw
 	@echo "Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print \
 		| sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
