=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Box2D-$1\.tar\.gz/ \
  https://github.com/erincatto/Box2D/tags .*/v?(\d\S*)\.tar\.gz
