=== debian/changelog ===
box2d (2.4.1-2ubuntu1) jammy; urgency=medium

  * Disable BOX2D_BUILD_UNIT_TESTS to avoid FTBFS with
    glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Jan 2022 08:05:00 +0000

box2d (2.4.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.0.
  * Mark libbox2d-doc Multi-Arch:foreign and libbox2d-dev Multi-Arch:same.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Sep 2021 00:50:38 +0200

box2d (2.4.1-1) experimental; urgency=medium

  * New upstream version 2.4.1.
  * Drop all patches. Merged upstream.

 -- Markus Koschany <apo@debian.org>  Tue, 27 Oct 2020 00:37:06 +0100

box2d (2.4.0-1) experimental; urgency=medium

  * New upstream version 2.4.0.
  * Rename the binary package for the shared library to libbox2d2 because of
    the SONAME bump.
  * Update debian/copyright for new release. The library is licensed under the
    MIT/Expat license now.
  * Remove graphviz, rdfind and symlinks from Build-Depends.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 13.
  * Patch box2d to build a shared library again. Apparently upstream decided to
    remove support for shared libraries. In order to restore the old behavior we
    patch box2d to provide this feature again. Thanks to Julien Bernard for the
    patches.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Oct 2020 23:40:22 +0200
