=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: box2d
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>,
  Barry deFreese <bdefreese@debian.org>,
@@ -11,19 +12,17 @@
  debhelper-compat (= 13)
 Build-Depends-Indep:
  doxygen,
- graphviz,
- rdfind,
- symlinks
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/box2d.git
 Vcs-Browser: https://salsa.debian.org/games-team/box2d
 Homepage: http://www.box2d.org/
 
 Package: libbox2d-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends:
- libbox2d2.3.0 (= ${binary:Version}),
+ libbox2d2 (= ${binary:Version}),
  ${misc:Depends}
 Description: 2D physics engine - development files
  2D rigid body simulation library for games. Programmers can use it in
@@ -37,6 +36,7 @@
 
 Package: libbox2d-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends:
  libjs-jquery,
@@ -48,7 +48,7 @@
  .
  This package contains the API documentation and the manual.
 
-Package: libbox2d2.3.0
+Package: libbox2d2
 Architecture: any
 Multi-Arch: same
 Depends:
